mobileAppInstallStatus の作成
名前空間: microsoft.graph
大事な: Microsoft Graph /beta バージョンの API は変更される可能性があります。実稼働環境での使用はサポートされていません。
注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。
新しい mobileAppInstallStatus オブジェクトを作成 します。
前提条件
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校のアカウント) | DeviceManagementApps.ReadWrite.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | DeviceManagementApps.ReadWrite.All |
HTTP 要求
POST /deviceAppManagement/mobileApps/{mobileAppId}/deviceStatuses
POST /deviceAppManagement/mobileApps/{mobileAppId}/userStatuses/{userAppInstallStatusId}/deviceStatuses
要求ヘッダー
| ヘッダー | 値 |
|---|---|
| Authorization | ベアラー <トークン> が必要です。 |
| 承諾 | application/json |
要求本文
要求本文で、mobileAppInstallStatus オブジェクトの JSON 表記を指定します。
次の表に、mobileAppInstallStatus を作成するときに必要なプロパティを示します。
| プロパティ | 種類 | 説明 |
|---|---|---|
| id | String | エンティティのキー。 |
| deviceName | String | デバイス名 |
| deviceId | String | デバイス ID |
| lastSyncDateTime | DateTimeOffset | 最終同期日時 |
| mobileAppInstallStatusValue | resultantAppState | アプリのインストール状態。 可能な値は、installed、failed、notInstalled、uninstallFailed、pendingInstall、unknown、notApplicable です。 |
| installState | resultantAppState | アプリのインストール状態。 可能な値は、installed、failed、notInstalled、uninstallFailed、pendingInstall、unknown、notApplicable です。 |
| installStateDetail | resultantAppStateDetail | アプリのインストール状態の詳細。 可能な値は noAdditionalDetails dependencyFailedToInstall 、、 dependencyWithRequirementsNotMet dependencyPendingReboot dependencyWithAutoInstallDisabled supersededAppUninstallFailed supersededAppUninstallPendingReboot removingSupersededApps iosAppStoreUpdateFailedToInstall vppAppHasUpdateAvailable userRejectedUpdate uninstallPendingReboot supersedingAppsDetected supersededAppsDetected seeInstallErrorCode autoInstallDisabled managedAppNoLongerPresent userRejectedInstall userIsNotLoggedIntoAppStore untargetedSupersedingAppsDetected appRemovedBySupersedence seeUninstallErrorCode pendingReboot installingDependencies contentDownloaded supersedingAppsNotApplicable powerShellScriptRequirementNotMet 、 registryRequirementNotMet fileSystemRequirementNotMet platformNotApplicable minimumCpuSpeedNotMet minimumLogicalProcessorCountNotMet minimumPhysicalMemoryNotMet minimumOsVersionNotMet minimumDiskSpaceNotMet です processorArchitectureNotApplicable 。 |
| errorCode | Int32 | インストールまたはアンインストールのエラー コード。 |
| osVersion | String | OS バージョン |
| osDescription | String | OS の説明 |
| userName | String | デバイス ユーザー名 |
| userPrincipalName | String | ユーザー プリンシパル名 |
| displayVersion | String | アプリケーションの人間が読み取り可能なバージョン |
応答
成功した場合、このメソッドは応答コードと、応答本文 201 Created の mobileAppInstallStatus オブジェクトを返します。
例
要求
以下は、要求の例です。
POST https://graph.microsoft.com/beta/deviceAppManagement/mobileApps/{mobileAppId}/deviceStatuses
Content-type: application/json
Content-length: 555
{
"@odata.type": "#microsoft.graph.mobileAppInstallStatus",
"deviceName": "Device Name value",
"deviceId": "Device Id value",
"lastSyncDateTime": "2017-01-01T00:02:49.3205976-08:00",
"mobileAppInstallStatusValue": "failed",
"installState": "failed",
"installStateDetail": "dependencyFailedToInstall",
"errorCode": 9,
"osVersion": "Os Version value",
"osDescription": "Os Description value",
"userName": "User Name value",
"userPrincipalName": "User Principal Name value",
"displayVersion": "Display Version value"
}
応答
以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。
HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 604
{
"@odata.type": "#microsoft.graph.mobileAppInstallStatus",
"id": "7560ee45-ee45-7560-45ee-607545ee6075",
"deviceName": "Device Name value",
"deviceId": "Device Id value",
"lastSyncDateTime": "2017-01-01T00:02:49.3205976-08:00",
"mobileAppInstallStatusValue": "failed",
"installState": "failed",
"installStateDetail": "dependencyFailedToInstall",
"errorCode": 9,
"osVersion": "Os Version value",
"osDescription": "Os Description value",
"userName": "User Name value",
"userPrincipalName": "User Principal Name value",
"displayVersion": "Display Version value"
}
フィードバック
フィードバックの送信と表示